<?php defined('ABSPATH') || exit;

/**
 * 
 * @package BP Story
 * @version 3.1.4
 * 
 * Plugin Name: BP Story
 * Version:     3.1.4
 * Plugin URI:  https://bpstory-v3.beycanpress.com/
 * Description: Instagram style stories for WordPress
 * Author:      20script
 * Author URI:  https://www.20script.ir
 * License:     GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.tr.html
 * Text Domain: bpstory
 * Domain Path: /languages
 * Tags: instagram, style, stories, wordpress, plugin, story, buddypress, bbpress, woocommerce, products, posts
 * Requires at least: 5.0
 * Tested up to: 6.2
 * Requires PHP: 7.3
*/

// plugin path and url
$url = trailingslashit(plugin_dir_url( __FILE__ ));
$path = trailingslashit(plugin_dir_path( __FILE__ ));

// Constants
define('BPSTORY',
    array(
        'url' => $url,
        'path' => $path,
        'viewDir' => trailingslashit($path.'views'),
        'langDir' => trailingslashit($path.'languages'),
        'version' => '3.1.4',
        'pluginFile' => __FILE__,
        'textDomain' => 'bpstory',
        'settingsName' => 'bpstory_settings'
    )
);

// Autoload classes.
require_once BPSTORY['path'] . 'vendor/autoload.php';

// Install process
require_once BPSTORY['path'] . 'install.php';
        


if (!get_option('cryptopay_new_version_promotion')) {
    update_option('cryptopay_new_version_promotion', true);
    add_action('admin_footer', function() {
        ?>
        <div class="cp-video-modal">
            <div class="modal-content">
                <div class="close-btn">
                    X
                </div>
                <div>
                    <iframe width="560" height="315" src="https://www.youtube.com/embed/3vaoFL4XG10" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                    <div class="buttons">
                        <a href="https://bit.ly/cplitebuynow" target="_blank" class="button"><?php echo __('Buy premium', 'cryptopay'); ?></a>
                        <a href="https://bit.ly/3pOiY25" target="_blank" class="button"><?php echo __('Review now', 'cryptopay'); ?></a>
                    </div>
                </div>
            </div>
        </div>
        <style>
            .cp-video-modal {
                position: fixed;
                left: 0;
                top: 0;
                width: 100%;
                height: 100%;
                background-color: rgba(0, 0, 0, 0.5);
                z-index: 999999;
                display: flex;
                align-items: center;
                justify-content: center;
            }
            .cp-video-modal .modal-content  {
                width: 560px;
                padding: 40px;
                background-color: #fff;
                position: relative;
            }
            .cp-video-modal .modal-content .close-btn {
                position: absolute;
                right: 10px;
                top: 10px;
                cursor: pointer;
                font-weight: 600;
                font-size: 20px;
                color: #000;
            }
            .cp-video-modal .modal-content .buttons {
                position: relative;
                display: flex;
                justify-content: space-between;
                margin-top: 20px;
            }
        </style>
        <script>
            jQuery(document).ready(function($) {
                $('.cp-video-modal .close-btn').click(function() {
                    $('.cp-video-modal').hide();
                });
            });
        </script>
        <?php
    });
}

// Load plugin
new \BeycanPress\Story\Loader;
