<?php

namespace BeycanPress\Story\Integrations;

use \BeycanPress\Story\Traits\Helpers;

/**
 * BP Story BuddyPress integration class
 */
class BuddyPress
{
    use Helpers;

    /**
     * Class construct
     * @return void
     */
    public function __construct()
    {
        if (!is_admin() && is_user_logged_in()) {
            $this->frontendProcess();
        }
    }

    /**
     * Frontend process
     * @return void
     */
    public function frontendProcess()
    {
        add_action('bp_setup_nav', array($this, 'buddyPressMenuSetup'));
        add_action('bp_template_content', array($this, 'storiesContent'));
    }

    /**
     * Add new nav item BuddyPress
     * @return void
     */
    public function buddyPressMenuSetup()
    {
        bp_core_new_nav_item(array( 
            'name' => esc_html__( 'Stories', 'bpstory'), 
            'slug' => 'bpstory-stories', 
            'position' => 30,
            'screen_function' => array($this, 'stories'),
        ));
    }

    /**
     * Load stories page template
     * @return void
     */
    public function stories()
    {
        bp_core_load_template('bpstory-stories-template');
    }

    /**
     * Add to BuddyPress stories
     * @return void
     */
    public function storiesContent()
    {
        echo do_shortcode('[bpstory-user-stories]');
    }

}