const gulp = require('gulp');
const babel = require('gulp-babel');
const sass = require('gulp-sass');
const minifyCSS = require('gulp-csso');
const minifyJS = require('gulp-uglify');
const concat = require('gulp-concat');
const autoprefixer = require('gulp-autoprefixer');
const sourcemaps = require('gulp-sourcemaps');

const tasks = [
    'js-backend',
    'js-gutenberg',
    'js-tinymce',
    'css-frontend',
    'css-backend',
];

const watchs = [];

for (let index = 0; index < tasks.length; index++) {
    let task = tasks[index];
    let type = task.split("-")[0];
    let file = task.split("-");
    file = file[1];

    if ( type === 'js' ) {
        gulp.task(task, () => {
            return gulp.src('src/js/'+file+'.js')
            .pipe(sourcemaps.init())
            .pipe(concat(''+file+'.min.js'))
            .pipe(minifyJS({
                mangle: false
            }))
            .pipe(sourcemaps.write('.'))
            .pipe(gulp.dest('assets/js'));
        });
        watchs.push(gulp.watch('src/js/'+file+'.js', gulp.series(task)));
    } else {
        gulp.task(task, () => {
            return gulp.src('src/css/'+file+'.scss')
            .pipe(sourcemaps.init())
            .pipe(sass())
            .pipe(autoprefixer())
            .pipe(concat(''+file+'.min.css'))
            .pipe(minifyCSS())
            .pipe(sourcemaps.write('.'))
            .pipe(gulp.dest('assets/css'));
        });
        watchs.push(gulp.watch('src/css/'+file+'.scss', gulp.series(task)));
    }
}
    
gulp.task('watch', () => {
    for (let index = 0; index < watchs.length; index++) {
        watchs[index];
    }
});
    
gulp.task('default', async () => {
    tasks.push("watch");
    gulp.series(tasks)();
});
