# Beycan\WordPressTableCreator\TableCreator - v1.0-beta #

It allows you to create tables in a very simple way using the WP_List_Table base.

[![License](https://poser.pugx.org/smalot/pdfparser/license)](//packagist.org/packages/smalot/pdfparser)

## Features ##

Features included :

- Ability to adjust sortable columns
- Adjusting per page item

## Documentation ##

## Installation

### Using Composer

* Obtain [Composer](https://getcomposer.org)
* Run `composer require beycan/wordpress-table-creator:dev-master`

### Use alternate file load

In case you can't use Composer, you can include `TableCreator.php` into your project.

`require_once __DIR__ . '/src/TableCreator.php';`

Afterwards you can use `TableCreator` class.

### Sample usage
You can create a table by simply submitting two arrays.

1. You are entering parameter columns. "key" => as column name.

2. You enter rows in the parameter, ie the data. The rule of thumb is that column keys and data keys must be the same.

3. "$table->render();" You can print the created table on the screen by using the method.

4. You can enter the columns you want to sort with "desc, asc" as below. However, the process is not automatic. You will see a get parameter in the url, so you need to make a "sql" query.

```
$table->setSortableColumns([
    'expiry_time'
]);
```

```
use Beycan\WordPressTableCreator\TableCreator;

$tableCreator = new TableCreator();

$dataList = [
    [
        'user_id'    => 656,
        'username'   => 'testuser1',
        'email'      => 'testuser1@gmail.com',
        'password'   => 'daasd54as64das4das4das564das',
        'created_at' => '2021-05-09 20:30:08'
    ],
    [
        'user_id'    => 657,
        'username'   => 'testuser2',
        'email'      => 'testuser2@gmail.com',
        'password'   => 'daasd54as64das4das4das564das',
        'created_at' => '2021-04-25 20:30:08'
    ],
];

$table = $tableCreator->create(
    [
        'user_id'    => esc_html__('User ID'),
        'username'   => esc_html__('Username'),
        'email'      => esc_html__('Email'),
        'password'   => esc_html__('Password'),
        'created_at' => esc_html__('Created At')
    ],
    $dataList
);

$table->setSortableColumns([
    'expiry_time'
]);

$table->render();
```

## License ##

This library is under the [LGPLv3 license](https://github.com/BeycanDeveloper/request/blob/main/LICENSE.txt).
