<?php
    $options = array_merge($options, [
        "refresh" => intval($this->setting('auto_refresh_time')),
        "transitionTime" => intval($this->setting('transition_time')),
        "supportedMediaTypes" => explode(',', $this->setting('supported_media_types')),
        "maxFileSize" => intval($this->setting('max_file_size')),
        "multiLang" => [
            "seeMore" => esc_html__('See More', 'bpstory'),
            "unsupportedMedia" => esc_html__('Unsupported Media Type', 'bpstory'),
            "maxFileSizeWarning" => esc_html__('The file you are trying to upload exceeds the maximum allowed file size!', 'bpstory'),
            "enterURLAddress" => esc_html__('Please enter a URL address!', 'bpstory'),
            "wantAddURL" => esc_html__('Want to add a URL link to your story?', 'bpstory'),
            "invalidURL" => esc_html__('You have entered an invalid URL format, please enter a valid URL format.', 'bpstory'),
            "publish" => esc_html__('Publish', 'bpstory'),
            "selectNewMedia" => esc_html__('Select new media', 'bpstory'),
            "close" => esc_html__('Close', 'bpstory'),
            "createNewStory" => esc_html__('Create new story', 'bpstory'),
            "confirmDelete" => esc_html__('Are you sure you want to delete your story?', 'bpstory'),
            "waiting" => esc_html__('Please wait...', 'bpstory'),
            'maxRequestFileSize' => esc_html__('The story you upload exceeds data transfer size.', 'bpstory'),
        ]
    ]);
?>
<div 
    class="bpstory-placeholder" 
    id="bpstory-<?php echo esc_attr($id); ?>" 
    data-options='<?php echo isset($options) ? esc_attr(json_encode($options)) : null; ?>'
>
</div>